com.aliyun.svideosdk.common.struct.effect

## Class ActionFade

- java.lang.Object
- - <any>
  - - com.aliyun.svideosdk.common.struct.effect.ActionFade

-     public class ActionFade
      extends <any>

  A class that defines alpha animations.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected float` | `mFromAlpha` The alpha in the beginning.
    `protected float` | `mToAlpha` The alpha in the end.

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ActionFade()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `float` | `getFromAlpha()` Gets the alpha in the beginning.
    `float` | `getToAlpha()` Gets the alpha in the end.
    `void` | `setAnimationConfig(java.util.List<<any>> aAnimationConfig)`
    `void` | `setFromAlpha(float mFromAlpha)` Sets the alpha in the beginning.
    `void` | `setToAlpha(float mToAlpha)` Sets the alpha in the end.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### mFromAlpha

          protected float mFromAlpha

      The alpha in the beginning.

    - #### mToAlpha

          protected float mToAlpha

      The alpha in the end.

  - ### Constructor Detail

    - #### ActionFade

          public ActionFade()

  - ### Method Detail

    - #### getFromAlpha

          public float getFromAlpha()

      Gets the alpha in the beginning.
      Returns:
        The alpha in the beginning.

    - #### setFromAlpha

          public void setFromAlpha(float mFromAlpha)

      Sets the alpha in the beginning.
      Parameters:
        `mFromAlpha` -

    - #### getToAlpha

          public float getToAlpha()

      Gets the alpha in the end.
      Returns:
        The alpha in the end.

    - #### setToAlpha

          public void setToAlpha(float mToAlpha)

      Sets the alpha in the end.
      Parameters:
        `mToAlpha` -

    - #### setAnimationConfig

          public void setAnimationConfig(java.util.List<<any>> aAnimationConfig)